## param_getvolume

### Use

You display the data of an individual volume of the current database instance.

See also:

Concepts of the Database System, Volumes (Permanent Storage)

### Prerequisites

You have the server authorization ParamRead.

### Syntax

param_getvolume <vol_no> <vol_mode>

Options

Option | Description
<vol_no> | Number of the volume
<vol_mode> | Mode of the volume, possible values are: DATA | LOG | MLOG DATA: data volume LOG: log volume MLOG: Mirrored log volume

### Reply

OK

<file_name>

<vol_type>

<vol_size>

Values for the Reply Fields

Value | Description
<file_name> | Name of the device/file
<vol_type> | Type of volume (such as file, raw device)
<vol_size> | Size of the volume

In the event of errors, see Reply Format.

### Example

Call the Database Manager CLI, log on as operator OLEG with password MONDAY, connect to the database instance DEMODB, display the data for volume number 0001 of type DATA:

>dbmcli –u OLEG,MONDAY –d DEMODB param_getvolume 0001 DATA

OK

C:\Documents and Settings\All Users\Application Data\sdb\data\DEMODB\data\DISKD0001

F

32768